def calendarform(monthsCount=1, formtype="radio"):
	""" This script	creates a calendar for use in a form. """
	""" It takes a monthsCount value for the number of months you need and a formtype value for whether you want a radio button or checkbox-type form """
	import calendar
	import time
	months=('','January','February','March','April','May','June','July','August','September','October','November','December')
	thisyear=time.strftime("%Y")
	thismonth=time.strftime("%m")
	currentmonth=thismonth
	thisday=time.strftime("%d")
	thisyear=int(thisyear)
	thismonth=int(thismonth)
	# The section above sets today's date
	calendar.setfirstweekday(6) # sets the first day of the week as Sunday
	counter=0
	calhtml=''
	while counter<monthsCount: # this loops the number of months
		cal=calendar.monthcalendar(thisyear, thismonth) # build a calendar array with the current month
		x=0
		calhtml=calhtml+'<table><tr><td colspan=7><b>'+months[thismonth]+'</b></td></tr>' # print out the month heading
		while x<len(cal): # loop the month array, building a variable calhtml with html code denoting the form
			y=0
			calhtml=calhtml+'<tr>'
			while y<len(cal[x]):
				checkToday=''
				bold1=''
				bold2=''
				if int(currentmonth)==thismonth:
					if str(cal[x][y])==thisday:
						checkToday='checked'
						bold1='<b>'
						bold2='</b>'
				if cal[x][y]==0:
					cal[x][y]='<td></td>' # this handles empty days of the month
				else:
					cal[x][y]='<td><input type='+formtype+' name=dates value='+str(thisyear*10000+thismonth*100+cal[x][y])+' '+checkToday+'>'+bold1+str(cal[x][y])+bold2+'</td>' # this sets the form values as an ErnieInteger for the date
				calhtml=calhtml+cal[x][y]
				y = y+1
			calhtml=calhtml+'</tr>'
			x=x+1
		if thismonth==12: # this handles the end of the year
			thismonth=1
			thisyear=thisyear+1
		else:
			thismonth=thismonth+1 # this increments the month if it's not the end of the year
		counter=counter+1
		calhtml=calhtml+'</table>'
	return calhtml

